include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeinedvbclient (static)

tde_add_library( kaffeinedvbclient STATIC_PIC AUTOMOC

  SOURCES
        cdchannel.cpp
        cdwidget.cpp
        cddump.cpp
        cdlisten.cpp
        cdcleaner.cpp
  LINK
     kaffeineinput-static
)
